<?php
defined('DCMS') or die;

global $cache,$user,$dcms;


switch ($dcms -> browser_type) {
case 'web':$limit = 100; break;
case 'pda':$limit = 30; break;
case 'wap':$limit = 10; break;
}



echo "<img src='/sys/images/icons/users.png' alt='' /> <a href='/users.php'>Регистраций: ".$dcms->count('users')."</a><br />";


$new_reg_q = mysql_query("SELECT `id`, `login` FROM `users` WHERE `a_code` = '' AND `reg_date` > '".DAY_TIME."' ORDER BY `id` DESC LIMIT $limit");
$new_reg_c = mysql_num_rows($new_reg_q);
if ($new_reg_c)
{
echo "<span style='text-decoration:underline;'>".misc::number($new_reg_c,'Последний зарегистрировавшийся','Последние '.$new_reg_c.' зарегистрировавшихся','Последние '.$new_reg_c.' зарегистрировавшихся').":</span>";
$users=array();
while ($ank=mysql_fetch_assoc($new_reg_q)) {
$users[]="<a href='/profile.view.php?id=$ank[id]'>$ank[login]</a>";
}
echo ' '.implode(', ',$users).'.';
}


if ($dcms->browser_type == 'web')
{
echo "<br /><a href='/online.users.php'>Пользователей на сайте: {$dcms->count('users_online')}</a>";
echo "<br /><a href='/online.guest.php'>Гостей: {$dcms->count('guest_online')}</a>";
}

?>